import _sfc_main$1 from "./AppLayout.569866cf.js";
import { d as defineComponent, af as useRoute, m as resolveComponent, o as openBlock, H as createBlock, t as withCtx, s as createVNode, X as Transition, W as resolveDynamicComponent, f as unref } from "./vendor.736b97b1.js";
import "./index.938064e5.js";
import "./VIconButton.cf35abbd.js";
import "./VAvatar.d1b93860.js";
import "./VControl.206bdb5a.js";
import "./VField.8fd215d2.js";
import "./VModal.f8175747.js";
import "./VPlaceloadText.80e8c47d.js";
import "./VDropdown.11e0fc0e.js";
import "./VIcon.41d39c44.js";
import "./mesaService.b99aaa49.js";
import "./masterService.5499b027.js";
import "./navbarLayoutState.125b6199.js";
var block0 = {};
const _sfc_main = /* @__PURE__ */ defineComponent({
  setup(__props) {
    const route = useRoute();
    return (_ctx, _cache) => {
      const _component_RouterView = resolveComponent("RouterView");
      const _component_AppLayout = _sfc_main$1;
      return openBlock(), createBlock(_component_AppLayout, null, {
        default: withCtx(() => [
          createVNode(_component_RouterView, null, {
            default: withCtx(({ Component }) => [
              createVNode(Transition, {
                name: "fade-fast",
                mode: "out-in"
              }, {
                default: withCtx(() => [
                  (openBlock(), createBlock(resolveDynamicComponent(Component), {
                    key: unref(route).fullPath
                  }))
                ]),
                _: 2
              }, 1024)
            ]),
            _: 1
          })
        ]),
        _: 1
      });
    };
  }
});
if (typeof block0 === "function")
  block0(_sfc_main);
export { _sfc_main as default };
